<?php
include_once("utiles.php");

error_reporting(E_ALL & ~E_NOTICE & ~E_WARNING);
#error_reporting(E_ALL);
date_default_timezone_set("America/Panama");

if (!$connection = connectDb()) {
	die("err db");
} else {
	$connection->query("SET NAMES 'utf8';");
}
header('content-type: application/json');

session_start();
$_SESSION["database"] = $_POST['database'];
$_SESSION["c_id"] = $_POST['c_id'];
$_SESSION["num_contr"] = $_POST['num_contr'];
$_SESSION["num_jugado"] = $_POST['num_jugado'];
$_SESSION["tipo_sorteo"] = $_POST['tipo_sorteo'];
$_SESSION["valor_club"] = $_POST['valor_club'];
$_SESSION["monto_total"] = $_POST['monto_total'];
$_SESSION["monto_rete"] = $_POST['monto_rete'];
$_SESSION["porcen_rete"] = $_POST['porcen_rete'];
$_SESSION["u_id"] = $_POST['u_id'];
$_SESSION["suc_id"] = $_POST['suc_id'];
$_SESSION["tipo_status"] = $_POST['tipo_status'];
$_SESSION["pers_id"] = $_POST['pers_id'];
$_SESSION["referencia"] = $_POST['referencia'];
if (isset($_POST['debug_vars']) == false)
	$i_Log = 0;
else
	$i_Log = $_POST['debug_vars'];

$Db__Name = $_SESSION["database"];
$Cod_Clie = $_SESSION["c_id"];
$Num_Cont = $_SESSION["num_contr"];
$Num_Acci = $_SESSION["num_jugado"];
$Tip_Sort = $_SESSION["tipo_sorteo"];
$Val_Club = $_SESSION["valor_club"];
$Mon_Tota = $_SESSION["monto_total"];
$Mon_Rete = $_SESSION["monto_rete"];
$Por_Rete = $_SESSION["porcen_rete"];
$Cod_Usua = $_SESSION["u_id"];
$Cod_Sucu = $_SESSION["suc_id"];
$Tip_Stat = $_SESSION["tipo_status"];
$Cod_Pers = $_SESSION["pers_id"];
$Tex_Refe = $_SESSION["referencia"];

if ($i_Log == 1) {
	var_dump($_SESSION["database"]);
	var_dump($_SESSION["c_id"]);
	var_dump($_SESSION["num_contr"]);
	var_dump($_SESSION["num_jugado"]);
	var_dump($_SESSION["tipo_sorteo"]);
	var_dump($_SESSION["valor_club"]);
	var_dump($_SESSION["monto_total"]);
	var_dump($_SESSION["monto_rete"]);
	var_dump($_SESSION["porcen_rete"]);
	var_dump($_SESSION["u_id"]);
	var_dump($_SESSION["suc_id"]);
	var_dump($_SESSION["tipo_status"]);
	var_dump($_SESSION["pers_id"]);
	var_dump($_SESSION["referencia"]);
}

$hoy_date = date('Y-m-d H:i:s', time());
if ($i_Log == 1) var_dump($hoy_date);

mysqli_select_db($connection, $Db__Name);

$regs_retu = '0';
$cSql_Line = "SELECT IFNULL(semanas_vigencia_club,0) AS semanas_vigencia_club FROM " . $Db__Name . ".`club_parametros` ORDER BY autoinc DESC LIMIT 1";
$data_retu = getRow($connection, $cSql_Line, $regs_retu, false);
$cSem_Vig_Club = $data_retu['semanas_vigencia_club'];
$data_retu = null;
if ($i_Log == 1) {
	var_dump($cSql_Line);
	var_dump($cSem_Vig_Club);
}

$regs_retu = '0';
#$cSql_Line = "SELECT DATE_ADD(fecha_siguiente_sorteo, INTERVAL 2 DAY) AS fecha_siguiente_sorteo FROM " . $Db__Name . ".`club_parametros` ORDER BY autoinc DESC LIMIT 1";
$cSql_Line = "SELECT fecha_siguiente_sorteo FROM " . $Db__Name . ".`club_parametros` ORDER BY autoinc DESC LIMIT 1";
$data_retu = getRow($connection, $cSql_Line, $regs_retu, false);
$cFechaSigSorteo = $data_retu['fecha_siguiente_sorteo'];
$data_retu = null;
if ($i_Log == 1) {
	var_dump($cSql_Line);
	var_dump($cFechaSigSorteo);
}

$SQL_Insert =
	"INSERT INTO " . $Db__Name . ".`club_contratos` (
	c_id			,	num_contr		,	num_jugado,
	fecha_compra	,	tipo_sorteo		,	referencia,
	valor_club		,	monto_total		,	monto_retiro,
	monto_disp		,	monto_pag		,	monto_rete	,
	porcen_rete		,	u_id 			,	suc_id	,
	primer_sorteo	,	ultimo_sorteo	,	monto_upago,
	fecha_upago		,	semanas_pag		,	mont_premio,
	fecha_premio	,	num_loteria		,	fecha_loteria,
	tipo_status		,	pers_id			,	monto_disp_ant,
	fecha_pag_hasta ,	fecha_prox_sorteo) VALUES (
	'" . $Cod_Clie . "','" . $Num_Cont . "','" . $Num_Acci . "',
	'" . $hoy_date . "','" . $Tip_Sort . "','" . $Tex_Refe . "',
	'" . $Val_Club . "','" . $Mon_Tota . "',0.00,
	-1*'" . $Mon_Rete . "',0.00,'" . $Mon_Rete . "',
	'" . $Mon_Rete . "','" . $Cod_Usua . "','" . $Cod_Sucu . "',
	" . $Db__Name . ".club_nuevo_primer_sorteo_v2('" . $Tip_Sort . "','" . $hoy_date . "')," . $Db__Name . ".club_ult_sorteo_v2('" . $Tip_Sort . "','" . $hoy_date . "'),0.00,
	null,'0','0.00',
	null,null,null,
	'" . $Tip_Stat . "','" . $Cod_Pers . "','0.00',
	'" . $hoy_date . "'," . $Db__Name . ".club_sig_sorteov2('" . $Tip_Sort . "',`club_contratos`.`fecha_compra`));";
$resp_new_club = mysqli_query($connection, $SQL_Insert);

if ($i_Log == 1) {
	echo '/*Insertando contrato de clueb->*/ <br>';
	var_dump($SQL_Insert);
	var_dump($resp_new_club);
}

if (resp_new_club == TRUE) {
	//$sql_upd1="UPDATE ".$Db__Name.".`club_contratos` SET fecha_prox_sorteo=".$Db__Name.".club_nuevo_primer_sorteo_v2(club_contratos.tipo_sorteo,club_contratos.fecha_compra) WHERE num_contr='".$Num_Cont."';";
	//if ($i_Log==1){ echo '/*Actualizando fecha de proximo sorteo1 ->*/ <br>'.$sql_upd1.'<br>';
	//} else {
	//	$resp1 = mysqli_query($connection, $sql_upd1);
	//}

	//*- $sql_upd2="UPDATE ".$Db__Name.".`club_contratos` SET fecha_prox_sorteo=".$Db__Name.".club_sig_sorteo(club_contratos.tipo_sorteo) WHERE num_contr IS NULL;";
	$sql_upd2 = "UPDATE " . $Db__Name . ".`club_contratos` SET fecha_prox_sorteo=" . $Db__Name . ".club_sig_sorteov2(club_contratos.tipo_sorteo,`club_contratos`.`fecha_compra`) WHERE num_contr IS NULL;";
	if ($i_Log == 1) {
		echo '/*Actualizando fecha de proximo sorteo2 ->*/ <br>';
		var_dump($sql_upd2);
	}
	$resp2 = mysqli_query($connection, $sql_upd2);

	$msg = array("success" => "true", "detalle" => "OK");
} else {
	$msg = array("success" => "false", "detalle" => $connection);
	//echo "Error: " . $SQL_Insert . " < br > " . $connection->error;
}
/*
ULTIMA MODIFICASION: 2019-06-28 09:36PM LINEA 85 cFechaSigSorteo 
ULTIMA MODIFICASION: 2019-07-14 04:36PM 
JOHNN G. GUTIERREZ.
*-
*/
print_r(json_encode($msg));
@mysqli_close($connection);
